<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>


    <parent>
        <groupId>cn.superdesk.uniorder</groupId>
        <artifactId>superdesk-operation-center</artifactId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>

    <artifactId>superdesk-uniorder-dubbo-provider</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <packaging>jar</packaging>


    <dependencies>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>


        <!-- Spring Boot Dubbo 依赖 -->
        <!--		<dependency>-->
        <!--			<groupId>io.dubbo.springboot</groupId>-->
        <!--			<artifactId>spring-boot-starter-dubbo</artifactId>-->
        <!--			<version>${dubbo-spring-boot}</version>-->
        <!--		</dependency>-->


        <!-- Dubbo Spring Boot Starter -->
        <dependency>
            <groupId>com.alibaba.boot</groupId>
            <artifactId>dubbo-spring-boot-starter</artifactId>
            <version>0.2.1.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>dubbo</artifactId>
            <version>${dubbo.version}</version>
        </dependency>

        <!--		<dependency>-->
        <!--			<groupId>org.apache.curator</groupId>-->
        <!--			<artifactId>curator-recipes</artifactId>-->
        <!--			<version>2.13.0</version>-->
        <!--		</dependency>-->

        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-all</artifactId>
        </dependency>

        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
<!--            <version>1.3.0</version>-->
            <version>2.1.2</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>


        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <!--<scope>runtime</scope>-->
            <version>${mysql.version}</version>
        </dependency>

        <!--mapper -->
<!--        <dependency>-->
<!--            <groupId>tk.mybatis</groupId>-->
<!--            <artifactId>mapper-spring-boot-starter</artifactId>-->
<!--            <version>1.2.4</version>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
            <version>${druid.version}</version>
            <!--			<exclusions>-->
            <!--				<exclusion>-->
            <!--					<groupId>com.alibaba</groupId>-->
            <!--					<artifactId>tools</artifactId>-->
            <!--				</exclusion>-->
            <!--			</exclusions>-->
        </dependency>

        <!-- druid -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.1.21</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>


        <!--pagehelper -->
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper-spring-boot-starter</artifactId>
            <version>1.2.3</version>
        </dependency>


        <!--		<dependency>-->
        <!--			<groupId>org.slf4j</groupId>-->
        <!--			<artifactId>log4j-over-slf4j</artifactId>-->
        <!--			<version>1.7.25</version>-->
        <!--		</dependency>-->


        <!--		<dependency>-->
        <!--			<groupId>cn.superdesk.libs</groupId>-->
        <!--			<artifactId>superdesk-libs-common</artifactId>-->
        <!--			<version>${superdesk.libs.version}</version>-->
        <!--		</dependency>-->

        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-dto</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-common</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-dao</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-service</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <!--        <dependency>-->
        <!--            <groupId>cn.superdesk.uniorder</groupId>-->
        <!--            <artifactId>superdesk-uniorder-openapicall</artifactId>-->
        <!--            <version>${project.parent.version}</version>-->
        <!--        </dependency>-->
        <!--        <dependency>-->
        <!--            <groupId>com.github.lianjiatech</groupId>-->
        <!--            <artifactId>retrofit-spring-boot-starter</artifactId>-->
        <!--            <version>2.2.14</version>-->
        <!--        </dependency>-->

        <dependency>
            <groupId>cn.superdesk.app.transfer</groupId>
            <artifactId>superdesk-transfer-supercloud-dto-receive</artifactId>
            <version>0.0.1-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-dubbo-facade</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-dubbo-consumer</artifactId>
            <version>${project.parent.version}</version>
        </dependency>


        <!-- https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-data-redis -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <version>${spring-boot.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>redis.clients</groupId>
                    <artifactId>jedis</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>io.lettuce</groupId>
                    <artifactId>lettuce-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- jedis -->
        <dependency>
            <groupId>redis.clients</groupId>
            <artifactId>jedis</artifactId>
            <!--			<version>2.9.0</version>-->
            <!--            <version>2.9.1</version>-->
            <!--			<version>2.9.3</version>-->
            <!--			<version>3.1.0</version>-->
        </dependency>

        <!-- https://mvnrepository.com/artifact/com.google.collections/google-collections -->
        <dependency>
            <groupId>com.google.collections</groupId>
            <artifactId>google-collections</artifactId>
            <version>1.0</version>
        </dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>


        <!-- kafka -->
        <dependency>
            <groupId>org.springframework.kafka</groupId>
            <artifactId>spring-kafka</artifactId>
            <!-- <version>2.1.6.RELEASE</version>-->
        </dependency>

        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>3.17</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>3.17</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml-schemas -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml-schemas</artifactId>
            <version>3.17</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/dom4j/dom4j -->
        <dependency>
            <groupId>dom4j</groupId>
            <artifactId>dom4j</artifactId>
            <version>1.6.1</version>
        </dependency>

    </dependencies>

    <profiles>
        <profile>
            <!-- 本地开发环境 -->
            <id>dev</id>
            <properties>
                <profiles.active>dev</profiles.active>
            </properties>
            <!--默认启用的是dev环境配置-->
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
        <profile>
            <!-- 测试环境 -->
            <id>test</id>
            <properties>
                <profiles.active>test</profiles.active>
            </properties>
        </profile>
        <profile>
            <!-- UAT环境 -->
            <id>uat</id>
            <properties>
                <profiles.active>uat</profiles.active>
            </properties>
        </profile>
        <profile>
            <!-- 生产环境 -->
            <id>prod</id>
            <properties>
                <profiles.active>prod</profiles.active>
            </properties>
        </profile>
        <profile>
            <!-- 生产环境 侨城汇 -->
            <id>qch</id>
            <properties>
                <profiles.active>qch</profiles.active>
            </properties>
        </profile>
    </profiles>

    <build>
        <!--		<finalName>${project.artifactId}</finalName>-->
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-deploy-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-install-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
